Skip to main content
PATCH
JavaScript

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Path Parameters

id
string
required

The unique identifier of the product to update.

Example:

"prod_xxxxxxxxxxxxx"

Body

application/json

Parameters for UpdateAccessPass

collect_shipping_address
boolean | null

Whether the checkout flow collects a shipping address from the customer.

custom_cta
enum<string> | null

The call-to-action button label displayed on the product's purchase page (e.g., join, buy, subscribe).

Available options:
get_access,
join,
order_now,
shop_now,
call_now,
donate_now,
contact_us,
sign_up,
subscribe,
purchase,
get_offer,
apply_now,
complete_order
custom_cta_url
string | null

A URL that the call-to-action button links to instead of the default checkout flow.

custom_statement_descriptor
string | null

A custom text label that appears on the customer's bank statement. Must be 5-22 characters, contain at least one letter, and not contain <, >, , ', or " characters.

description
string | null

A written description of the product displayed on its product page.

The gallery images for the product.

global_affiliate_percentage
number | null

The commission rate as a percentage that affiliates earn through the global affiliate program.

Example:

6.9

global_affiliate_status
enum<string> | null

The enrollment status of this product in the global affiliate program.

Available options:
enabled,
disabled
headline
string | null

A short marketing headline displayed prominently on the product page.

member_affiliate_percentage
number | null

The commission rate as a percentage that members earn through the member affiliate program.

Example:

6.9

member_affiliate_status
enum<string> | null

The enrollment status of this product in the member affiliate program.

Available options:
enabled,
disabled
metadata
object | null

Custom key-value pairs to store on the product. Included in webhook payloads for payment and membership events. Max 50 keys, 100 chars per key, 500 chars per string value.

product_tax_code_id
string | null

The unique identifier of the tax classification code to apply to this product.

Example:

"ptc_xxxxxxxxxxxxxx"

redirect_purchase_url
string | null

A URL to redirect the customer to after completing a purchase.

route
string | null

The URL slug for the product's public link.

send_welcome_message
boolean | null

Whether to send an automated welcome message via support chat when a user joins this product.

store_page_config
object | null

Layout and display configuration for this product on the company's store page.

title
string | null

The display name of the product. Maximum 80 characters.

visibility
enum<string> | null

Whether the product is visible to customers. When set to hidden, the product is only accessible via direct link.

Available options:
visible,
hidden,
archived,
quick_link

Response

A successful response

A product is a digital good or service sold on Whop. Products contain plans for pricing and experiences for content delivery.

company
object
required

The company this product belongs to.

created_at
string<date-time>
required

The datetime the product was created.

Example:

"2023-12-01T05:00:00.401Z"

custom_cta
enum<string>
required

Call-to-action button label shown on the product purchase page.

Available options:
get_access,
join,
order_now,
shop_now,
call_now,
donate_now,
contact_us,
sign_up,
subscribe,
purchase,
get_offer,
apply_now,
complete_order
custom_cta_url
string | null
required

An optional URL that the call-to-action button links to instead of the default checkout flow. Null if no custom URL is set.

Example:

"https://example.com/signup"

custom_statement_descriptor
string | null
required

Custom bank statement descriptor for product purchases. Maximum 22 characters, including required WHOP* prefix.

Example:

"PICKAXE"

description
string | null
required

A brief summary of what the product offers, displayed on product pages and search results.

Example:

"Track your revenue, members, and growth in real time."

external_identifier
string | null
required

External identifier for the product. Providing it on a product creation endpoint updates the existing product with this identifier instead of creating a new one.

Example:

"ext_prod_12345"

The gallery images for this product, ordered by position.

global_affiliate_percentage
number | null
required

Marketplace affiliate commission percentage for this product, or null if program is inactive.

Example:

6.9

global_affiliate_status
enum<string>
required

The enrollment status of this product in the Whop marketplace global affiliate program.

Available options:
enabled,
disabled
headline
string | null
required

A short marketing headline displayed prominently on the product's product page.

Example:

"Real-time data analytics for creators"

id
string
required

The unique identifier for the product.

Example:

"prod_xxxxxxxxxxxxx"

member_affiliate_percentage
number | null
required

Member referral commission percentage for this product, or null if program is inactive.

Example:

6.9

member_affiliate_status
enum<string>
required

The enrollment status of this product in the member affiliate program.

Available options:
enabled,
disabled
member_count
integer
required

Active memberships for this product. Returns 0 if the account has disabled public member counts.

Example:

42

metadata
object | null
required

Custom key-value pairs stored on the product and included in payment and membership webhook payloads. Max 50 keys, 100 characters per key, 500 characters per string value.

owner_user
object
required

The user who owns the company that sells this product.

product_tax_code
object | null
required

The tax classification code applied to purchases of this product for sales tax calculation. Null if no tax code is assigned.

published_reviews_count
integer
required

The total number of published customer reviews for this product's company.

Example:

42

route
string
required

URL slug in the product's public link, e.g. pickaxe-analytics in whop.com/company/pickaxe-analytics.

Example:

"pickaxe-analytics"

title
string
required

The display name of the product shown to customers on the product page and in search results.

Example:

"Pickaxe Analytics"

updated_at
string<date-time>
required

The datetime the product was last updated.

Example:

"2023-12-01T05:00:00.401Z"

verified
boolean
required

Whether this company has been verified by Whop's trust and safety team.

visibility
enum<string>
required

Controls whether the product is visible to customers. When set to 'hidden', the product is only accessible via direct link.

Available options:
visible,
hidden,
archived,
quick_link